跳到主要內容
API 參考
API 參考

列出防護欄指派

列出已驗證管理金鑰可見的指派項目。

列出已驗證管理金鑰可見的指派項目。

端點

GET /api/v1/guardrail_assignments
基礎 URL
https://runapi.ai
API 版本
v1
身分驗證
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
授權
帳戶管理員可檢視所有指派;非管理員使用者只能檢視自己 API 金鑰上的指派。
02

請求

JSON 請求內文

僅在列出的請求位置中傳送值。

查詢參數2 個欄位
limitinteger
選填

每頁最多回傳的指派項目數量。

預設值: 20 範圍: 1 - 100
pageinteger
選填

偏移頁碼。值從 1 開始。

預設值: 1 邊界: 1
03

成功回應

HTTP 200

GET /api/v1/guardrail_assignments

JSON
{
  "guardrail_assignments": [
    {
      "account_user_id": null,
      "api_token_id": "token_123",
      "created_at": "2026-07-27T10:00:00.000Z",
      "guardrail_id": "guardrail_123",
      "id": "guardrail_assignment_123"
    }
  ],
  "pagination": {
    "limit": 20,
    "page": 1,
    "pages": 1,
    "total": 1
  }
}
04

錯誤回應 (401)

HTTP 401
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Authentication required"
}
05

錯誤回應 (403)

HTTP 403
回應綱要
JSON
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

回應範例

JSON
{
  "error": "Management API key required"
}
06

錯誤回應 (400)

HTTP 400
回應綱要
JSON
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為索引鍵的驗證訊息,每個欄位包含一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}

回應範例

JSON
{
  "error": "page must be an integer"
}
07

cURL 範例

CURL
curl -X GET https://runapi.ai/api/v1/guardrail_assignments?page=1&limit=20 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'